> For the complete documentation index, see [llms.txt](https://docs.movesdk.com/move-platform/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.movesdk.com/move-platform/sdk/models/movesdkstate.md).

# MoveSdkState

Represent the different SDK States.

{% tabs %}
{% tab title="Android" %}

```kotlin
sealed class MoveSdkState {
    Uninitialised()
    Ready()
    Running()
}
```

{% endtab %}

{% tab title="iOS" %}

```swift
enum MoveSDKState {
    case unintialized
    case ready
    case running
}
```

{% endtab %}

{% tab title="React Native" %}

```javascript
export type SdkState = 'UNINITIALIZED' | 'READY' | 'RUNNING';
```

{% endtab %}

{% tab title="Flutter" %}

```dart
import 'package:movesdk/io/dolphin/move/move_state.dart';
```

```dart
enum MoveState {
  ready,
  running,
  unknown,
}
```

{% endtab %}
{% endtabs %}

| **MoveState**                       |                                                                                                                                                                                                                                                                                                                                                                                                                                                                          |
| ----------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| uninitialized (Flutter see unknown) | The MOVE SDK is not initialized.                                                                                                                                                                                                                                                                                                                                                                                                                                         |
| ready                               | The MOVE SDK is initialized and ready to start services. Transitions to this state after successful initialization or after calling `stopAutomaticDetection()`.                                                                                                                                                                                                                                                                                                          |
| running                             | The MOVE SDK is running its services. Transited to this state after calling startAutomaticDetection() ([Android](/move-platform/sdk/api-interface/android/services.md#start-automatic-detection) / [iOS](/move-platform/sdk/api-interface/ios.md#start-automatic-detection) / [React](/move-platform/sdk/api-interface/react-native/services.md#start-automatic-detection) / [Flutter](/move-platform/sdk/api-interface/flutter/services.md#start-automatic-detection)). |
| Flutter: unknown                    | Initial state before `MoveSdk.init()` has been called, or after `shutdown()` has completed. The SDK is not initialized and no data collection is active.                                                                                                                                                                                                                                                                                                                 |

For further information please see [Android](/move-platform/sdk/getting-started/android/quick-start.md) / [iOS](/move-platform/sdk/getting-started/ios/quick-start.md) / [React](/move-platform/sdk/getting-started/react-native.md) / [Flutter](/move-platform/sdk/getting-started/flutter.md).


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.movesdk.com/move-platform/sdk/models/movesdkstate.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
